Subject: Re: bug#16302: 1.14.1: check-TESTS is not lazy enough

From: Akim Demaille <[email-masked]>
Date: Tue, 31 Dec 2013 11:17:14 +0100

Le 31 déc. 2013 à 00:11, Stefano Lattarini <[email-masked]> a écrit :

> Hi Akim.

Hi!

Thanks for the quick answer.

>> At first sight it seems that it should be guarded by ‘test -n $$redo_log’.
>> 
> Indeed.
> 
>> This is *really* costly, I’d be happy to have nice workarounds.
>> 
> Or eve better, to fix the bug :-)  See attached patch.  Does it work
> for you?

I’ve had a hard try to figure out on which branch to apply
it, and failed.  I installed it by hand, and it works fine,
thanks!

But the NEWS entry seems to mean that the patch won’t be
released anytime soon?  We are several to work on this project,
and it would be nice if we could avoid all have to deploy
a git-version of Automake.

> Thanks, and happy new year!

Happy new year to you!

> diff --git a/NEWS b/NEWS
> index dd2812a..a73804a 100644
> --- a/NEWS
> +++ b/NEWS
> @@ -93,6 +93,10 @@ New in 1.15:
>      implementation of the TAP driver (that is documented in the manual)
>      is more portable and has feature parity with the perl implementation.
>  
> +  - The rule generating ‘test-suite.log' no longer risk incurring in an

risks

> +    extra useless "make all" recursive invocation in some corner cases
> +    (automake bug#16302).
> +
>  * Bug fixes:
>  
>    - The user can now extend the special .PRECIOUS target, the same way